package net.wanji.utc.common.constant;

import net.wanji.utc.po.ApiInfoPO;
import net.wanji.utc.vo.CrossLanesVO;

import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

public class Constants {
    /**
     * 厂商接口地址
     */
    private static ConcurrentHashMap<String, ApiInfoPO> manufacturerUrlMap = new ConcurrentHashMap<>();

    /**
     * 海康信号机车道关系
     */
    private static ConcurrentHashMap<String, List<CrossLanesVO>> telesemeLaneRealMap = new ConcurrentHashMap<>();

    /**
     * 系统缩写
     */
    public static final String SYSTEM_ABBR = "UTC";


    /**
     * 分隔符：下划线
     **/
    public static final String SEPARATOR_UNDER_LINE = "_";


    /**
     * 分隔符：逗号
     **/
    public static final String SEPARATOR_COMMA = ",";

    /**
     * 分隔符：减号
     **/
    public static final String SEPARATOR_MINUS = "-";


    /**
     * 分隔符：冒号
     **/
    public static final String SEPARATOR_COLON = ":";

    /**
     * 海康返回成功码
     */
    public static final Integer HK_SUCCESS_CODE = 0;
    /**
     * 海康返回码的 key
     */
    public static final String HK_CODE_KEY = "code";

    public static ApiInfoPO getManufacturerUrlMap(String key) {
        return manufacturerUrlMap.get(key);
    }

    public static void putManufacturerUrlMap(String key, ApiInfoPO value) {
        manufacturerUrlMap.put(key, value);
    }

    public static ConcurrentHashMap<String, List<CrossLanesVO>> getTelesemeLaneRealMap() {
        return telesemeLaneRealMap;
    }
}